Package org.drinkless.tdlib

# Class TdApi.GetStatisticalGraph

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.StatisticalGraph>
org.drinkless.tdlib.TdApi.GetStatisticalGraph

Enclosing class:
  `TdApi`

public static class TdApi.GetStatisticalGraph extends TdApi.Function<TdApi.StatisticalGraph>
Loads an asynchronous or a zoomed in statistical graph.

Returns `StatisticalGraph`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Chat identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `token`
  The token for graph loading.
  `long`
  `x`
  X-value for zoomed in graph or 0 otherwise.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetStatisticalGraph()`
  Default constructor for a function, which loads an asynchronous or a zoomed in statistical graph.
  `GetStatisticalGraph(long chatId, String token, long x)`
  Creates a function, which loads an asynchronous or a zoomed in statistical graph.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier.

  - ### token

    public String token
    The token for graph loading.

  - ### x

    public long x
    X-value for zoomed in graph or 0 otherwise.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetStatisticalGraph

    public GetStatisticalGraph()
    Default constructor for a function, which loads an asynchronous or a zoomed in statistical graph.

    Returns `StatisticalGraph`

  - ### GetStatisticalGraph

    public GetStatisticalGraph(long chatId, String token, long x)
    Creates a function, which loads an asynchronous or a zoomed in statistical graph.

    Returns `StatisticalGraph`

    Parameters:
      `chatId` - Chat identifier.
      `token` - The token for graph loading.
      `x` - X-value for zoomed in graph or 0 otherwise.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.StatisticalGraph>`
    Returns:
      this.CONSTRUCTOR